We just released our native n8n integration!ยป Try now
OnlyFans API
Mass Messaging

Get Mass Message Overview

Get an overview of mass messages, showing the send count and view count.

GET
/api/{account}/mass-messaging/overview
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Query Parameters

startDate?string

The earliest mass message to retrieve. Keep empty to get all.

endDate?string

The latest mass message to retrieve. Keep empty to get all. MUST BE DATE AFTER startDate. This is also used for pagination.

limit?integer

Number of mass messages to return (default = 10)

query?string

Optionally, find a mass message by the message text.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/mass-messaging/overview?startDate=2025-01-01+00%3A00%3A00&endDate=2025-03-31+23%3A59%3A59&limit=10&query=My+message+text"
{
  "data": {
    "hasMore": true,
    "items": [
      {
        "id": 123,
        "date": "2025-01-01T01:01:01+01:01",
        "responseType": "message",
        "text": "<p>Text</p>",
        "rawText": "<p>Text</p>",
        "giphyId": null,
        "isFree": true,
        "isMediaReady": true,
        "mediaCount": 1,
        "media": [
          {
            "id": 123,
            "type": "photo",
            "convertedToVideo": false,
            "canView": true,
            "hasError": false,
            "createdAt": "2025-01-01T01:01:01+01:01",
            "isReady": true,
            "files": {
              "full": {
                "url": "https://cdn2.onlyfans.com/files/.../image.jpg",
                "width": 2335,
                "height": 4175,
                "size": 0,
                "sources": []
              },
              "thumb": {
                "url": "https://cdn2.onlyfans.com/files/.../image.jpg",
                "width": 300,
                "height": 300,
                "size": 0
              },
              "preview": {
                "url": "https://cdn2.onlyfans.com/files/.../image.jpg",
                "width": 960,
                "height": 1717,
                "size": 0
              },
              "squarePreview": {
                "url": "https://cdn2.onlyfans.com/files/.../image.jpg",
                "width": 960,
                "height": 960,
                "size": 0
              }
            },
            "duration": 0,
            "hasCustomPreview": false,
            "videoSources": {
              "240": null,
              "720": null
            }
          }
        ],
        "previews": [],
        "isTip": false,
        "isReportedByMe": false,
        "viewedCount": 123,
        "sentCount": 123,
        "isCanceled": false,
        "template": "group",
        "canUnsend": true,
        "unsendSeconds": 1000000
      }
    ]
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999959,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 1000,
      "limit_day": 50000,
      "remaining_minute": 998,
      "remaining_day": 49988
    }
  }
}